clear;
addpath('/p/pfrc/tools/xray_inversion/cswanson/analysis/')
xrayprefix='/p/pfrc/';
datadir='data/20161206/SDDdata/';
if 0%Change this to 1 once to get a list of mca files in your datadir.
    lslist_opt;return;
end
analysis_type='raw';%options 'raw-invert' 'raw-xray' 'xray' 'raw' 'de-noise' 'invert-elwert' 'gauss-deconv' 'density-from-CR'
bool_save=1%save plots or not.

filedata={
    
    '01-SDD-100ns-noise.mca','SDD100ns',512,1,0,1
    %'02-SDD-100ns-helicon-antenna-no-breakdown.mca','SDD100ns',512,1,0.596,1
    %'03-SDD-100ns-helicon-OFF.mca','SDD100ns',512,1,0.596,1
    '04-SDD-100ns-RMF-aperture1.mca','SDD100ns',512,1,0.56,0.004
    '05-SDD-100ns-RMF-aperture2.mca','SDD100ns',512,2,0.57,0.004
    '06-SDD-100ns-helicon-aperture1.mca','SDD100ns',512,1,0.57,1
    '07-SDD-100ns-low-helicon-aperture1.mca','SDD100ns',512,1,0.48,1
    '08-SDD-100ns-RMF-aperture1.mca','SDD100ns',512,1,0.572,0.004
    '09-SDD-100ns-RMF-aperture2.mca','SDD100ns',512,2,0.572,0.004
    %'10-SDD-100ns-RMF-lowB-aperture2.mca','SDD100ns',512,2,0.562,0.004
    '11-SDD-100ns-RMF-lowB-aperture2.mca','SDD100ns',512,2,0.562,0.004
    '12-SDD-100ns-RMF-47A-aperture2.mca','SDD100ns',512,2,0.551,0.004
    '13-SDD-100ns-RMF-47A-aperture4.mca','SDD100ns',512,4,0.533,0.004
    '14-SDD-100ns-RMF-47A-aperture3.mca','SDD100ns',512,3,0.533,0.004
    %'15-SDD-100ns-RMF-47A-NOISE-aperture2.mca','SDD100ns',512,2,0.533,0.004
    '16-SDD-100ns-RMF-47A-aperture2.mca','SDD100ns',512,2,0.533,0.004
    %'17-SDD-100ns-RMF-103A-aperture2.mca','SDD100ns',512,2,0.533,0.004
    '18-SDD-100ns-RMF-103A-bulldog-aperture2.mca','SDD100ns',533,2,0.572,0.004
    %'19-SDD-100ns-RMFandHelicon-103A-bulldog-aperture2.mca','SDD100ns',512,2,0.547,0.004
    '20-SDD-100ns-RMF-83A-aperture2.mca','SDD100ns',512,2,0.579,0.004
    '21-SDD-100ns-RMF-lowpress-aperture2.mca','SDD100ns',512,2,0.26,0.004
};

noisefiles={
     '01-SDD-100ns-noise.mca','SDD100ns'
    '../20160817/160817/ccnoise1.mca','SEC'
    '../20160913/01-SDD-fast-noise.mca','SDD'
};


%[tmp I]=sort(cell2mat(filedata(:,4)),'descend');
%filedata=filedata(I,:);
%tmp=[];

infiles=filedata(:,1);
chambers=filedata(:,2);
y_ress=filedata(:,3);
define_constants_opt;
if bool_save
    mkdir(strcat(xrayprefix,datadir,analysis_type));
end
metam=[];metax=[];

for meta_opt_index=1:size(chambers,1)
    infile=infiles{meta_opt_index};
    infile=strcat(datadir,infile)
    chamber=chambers{meta_opt_index};
    y_res=y_ress{meta_opt_index};
    init_opt;
    outfile=strcat(xrayprefix,datadir,analysis_type,'/',infiles{meta_opt_index},'_',analysis_type,'_resolution_',num2str(y_res));
    if bool_save
        b_array=0;b_array_elwert=0;b_array_machine=0;save(strcat(outfile,'.mat'));
        saveas(gcf,strcat(outfile,'.png'));
        dlmwrite(strcat(outfile,'.txt'),[y' f'],'delimiter',' ')
    end

end












